Bug 130072 - gnbd_import ignores the quiet mode flag on list
gnbd_import ignores the quiet mode flag on list
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-16 16:52 EDT by Adam "mantis" Manthei
Modified: 2010-01-11 21:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 14:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam "mantis" Manthei 2004-08-16 16:52:50 EDT
Description of problem:
gnbd_import ignores the quite mode parameter (-q) when it lists what
gnbd's are imported.

#
# normal operation
#
[root@trin-05 root]# gnbd_import
Device name : trin-03.lab.msp.redhat.com:gnbd1
----------------------
    Minor # : 1
  Proc name : gnbdb
         IP : 192.168.44.173
       Port : 14243
      State : Open Connected Clear
   Readonly : No
Device name : trin-02.lab.msp.redhat.com:gnbd1
----------------------
    Minor # : 2
  Proc name : gnbdc
         IP : 192.168.44.172
       Port : 14243
      State : Open Connected Pending
   Readonly : No


#
# now we tell gnbd_import to shutup, but it is still quite noisy
#
[root@trin-05 root]# gnbd_import -q
Device name : trin-03.lab.msp.redhat.com:gnbd1
----------------------
    Minor # : 1
  Proc name : gnbdb
         IP : 192.168.44.173
       Port : 14243
      State : Open Connected Clear
   Readonly : No

Device name : trin-02.lab.msp.redhat.com:gnbd1
----------------------
    Minor # : 2
  Proc name : gnbdc
         IP : 192.168.44.172
       Port : 14243
      State : Open Connected Pending
   Readonly : No



Version-Release number of selected component (if applicable):
GFS-6.0.0-1.2

How reproducible:
always
Comment 1 Ben Marzinski 2004-08-17 17:00:04 EDT
The -q flag now works with all actions. This was also fixed in
gnbd_export.
Comment 2 Corey Marthaler 2004-08-31 16:23:40 EDT
This bug still exists in RHEL4 GFS 6.1

gnbd_import DEVEL.1093621873 (built Aug 27 2004 10:52:48)
Comment 3 Derek Anderson 2004-09-21 13:13:46 EDT
There's also some extra "gnbd_export:" text there now that should not
be there:

[root@smith-01 root]# gnbd_export
gnbd_export: Server[1] : sdc3
--------------------------
      file : /dev/sdc3
exportsize : 74111254528
 blocksize : 1024
  readonly : no
    cached : yes
gnbd_export:    timeout : no
gnbd_export:
Comment 4 Ben Marzinski 2004-09-22 14:47:17 EDT
There, this should now work correctly on both 6.0 and 6.1
Comment 5 Derek Anderson 2004-09-27 13:49:33 EDT
Verified for 6.0.0-15:

[root@smith-02 RHN]# gnbd_export
Server[1] : sdc15
--------------------------
      file : /dev/sdc15
exportsize : 74111253504
 blocksize : 1024
  readonly : no
    cached : yes
   timeout : no

[root@smith-02 RHN]# gnbd_export -q
[root@smith-02 RHN]#
Comment 6 Derek Anderson 2004-10-01 14:41:10 EDT
Verified also against s.r.c cvs.

Note You need to log in before you can comment on or make changes to this bug.